v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/subject-treatment
Retrieves treatment arms for a list of subjects in a study, passed in the request body. Rights: DataCaptureSubjectGet.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : SubjectsRequest v1.0
Type:
objectTitle:
SubjectsRequest v1.0Contains subject IDs to process.
Show Source
-
subjects(required): array
Subjects
Title:
SubjectsMinimum Number of Items:1Maximum Number of Items:2147483647List of subject IDs.
Nested Schema : Subjects
Type:
arrayTitle:
SubjectsMinimum Number of Items:
1Maximum Number of Items:
2147483647List of subject IDs.
Show Source
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : SubjectTrtArmResponse v1.0
Type:
objectTitle:
SubjectTrtArmResponse v1.0Response object containing subject treatment.
Show Source
-
subjectId: string
(uuid)
Title:
Subject IDSubject ID. -
treatmentId: string
(uuid)
Title:
Treatment IDTreatment ID.
404 Response
Invalid study ID or version. Or subject not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object